"Privacy" > "Diagnostics" > "Send error reports" can't be turned on or off

Bug #993056 reported by Benjamin on 2012-05-02
98
This bug affects 16 people
Affects Status Importance Assigned to Milestone
Apport
Undecided
Unassigned
activity-log-manager (Ubuntu)
High
Evan
Precise
High
Unassigned
Quantal
High
Evan
Raring
High
Evan

Bug Description

[IMPACT]

In "System Settings" > "Privacy" > "Diagnostics", the "Send error reports to Canonical" checkbox does not actually do anything. The option appears to be off by default, but it is on, and the checkbox does not change the setting. This is a privacy problem.

This appears to be because the activity-log-manager package is not installed by default, which contained /usr/bin/whoopsie-preferences.

[TESTCASE]

1. Install Ubuntu 12.04 or Ubuntu Q.
2. Open System Settings > "Privacy" > "Diagnostics".
3. Choose "Unlock", then check "Send error reports to Canonical".
4. Close System Settings, then reopen it to "Privacy" > "Diagnostics".

What you see:
2. "Send error reports to Canonical" appears unchecked, but it is on.
4. "Send error reports to Canonical" appears unchecked, but it is on.

What you should see:
2. "Send error reports to Canonical" is checked.
4. "Send error reports to Canonical" is checked.

[REGRESSION POTENTIAL]

[WORK AROUND]
Manually install the package 'activity-log-manager'.

...

Benjamin (nailartcenter) wrote :
visibility: public → private
Benjamin (nailartcenter) on 2012-05-05
visibility: private → public
Benjamin (nailartcenter) wrote :

Please help me. I can't report bugs at the moment.

Benjamin (nailartcenter) wrote :

via Terminal:

gnome-control-center

(gnome-control-center:8799): Gtk-CRITICAL **: gtk_box_pack: assertion `gtk_widget_get_parent (child) == NULL' failed

(gnome-control-center:8799): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gnome-control-center:8799): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gnome-control-center:8799): GLib-GIO-CRITICAL **: g_dbus_proxy_call_sync_internal: assertion `G_IS_DBUS_PROXY (proxy)' failed

(gnome-control-center:8799): Gtk-CRITICAL **: gtk_box_pack: assertion `gtk_widget_get_parent (child) == NULL' failed

(gnome-control-center:8799): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gnome-control-center:8799): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-control-center (Ubuntu):
status: New → Confirmed
Benedikt (benedikt-klotz) wrote :

Hi I'm also affected by this Bug. I have added Apport as affected project, because I think that apport ignores the signal from gnome-control-center. I don't think that gnome-control-center is at fault.

Benedikt (benedikt-klotz) wrote :

Reproduced in quantal vbox.

tags: added: quantal
Benjamin (nailartcenter) wrote :

Why is this bug still exists?

description: updated
summary: - gnome-control-center: Privacy>Diagnostics, Hook does not remain active
- after activation
+ "Privacy" > "Diagnostics" > "Send error reports" is unchecked even when
+ it's on
affects: gnome-control-center (Ubuntu) → activity-log-manager (Ubuntu)
description: updated
summary: - "Privacy" > "Diagnostics" > "Send error reports" is unchecked even when
- it's on
+ "Privacy" > "Diagnostics" > "Send error reports" can't be turned off

Fix uploaded to Quantal.

Changed in apport:
status: New → Invalid
Changed in activity-log-manager (Ubuntu Precise):
status: New → Triaged
Changed in activity-log-manager (Ubuntu Quantal):
status: Confirmed → Fix Committed
Evan (ev) on 2012-09-27
description: updated
Evan (ev) on 2012-09-27
Changed in activity-log-manager (Ubuntu Precise):
status: Triaged → Fix Committed
Matthew Paul Thomas (mpt) wrote :

Benjamin, thanks for reporting this. To answer your question, I think there are four reasons this bug occurred and existed for so long.

First, the developer who implemented the feature had the activity-log-manager package installed, and did not realize that the checkbox didn't work when -- as in Ubuntu by default -- the package was not installed.

Second, there were no automated tests of this System Settings panel.

Third, there was no-one manually testing the panel.

And fourth, if anyone saw this bug report or its duplicates before today, they did not realize its seriousness.

Probably there are ways to prevent each of the first three problems happening in future.

Scott Kitterman (kitterman) wrote :

Needs to be fixed in quantal (or at least in quantal-proposed) before it can go into precise-proposed. Rejecting the precise-proposed upload for now.

Marius B. Kotsbak (mariusko) wrote :

I can't even turn it on.

summary: - "Privacy" > "Diagnostics" > "Send error reports" can't be turned off
+ "Privacy" > "Diagnostics" > "Send error reports" can't be turned on or
+ off
Steve Langasek (vorlon) on 2012-10-16
Changed in activity-log-manager (Ubuntu Precise):
importance: Undecided → High
Changed in activity-log-manager (Ubuntu Quantal):
importance: Undecided → High
Changed in activity-log-manager (Ubuntu Precise):
status: Fix Committed → Triaged
Changed in activity-log-manager (Ubuntu Quantal):
status: Fix Committed → Triaged
assignee: nobody → Evan Dandrea (ev)
description: updated
description: updated
Changed in activity-log-manager (Ubuntu Quantal):
milestone: none → quantal-updates
Evan (ev) on 2012-11-15
Changed in activity-log-manager (Ubuntu Raring):
milestone: quantal-updates → none
status: Triaged → Fix Released
Changed in activity-log-manager (Ubuntu Quantal):
status: Triaged → Fix Committed
Evan (ev) on 2012-11-15
Changed in activity-log-manager (Ubuntu Precise):
status: Triaged → Fix Committed

Hello Benjamin, or anyone else affected,

Accepted activity-log-manager into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/activity-log-manager/0.9.4-0ubuntu4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Benjamin, or anyone else affected,

Accepted activity-log-manager into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/activity-log-manager/0.9.4-0ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Benjamin Kerensa (bkerensa) wrote :

I can confirm the fix in proposed works.

tags: added: verification-done
removed: verification-needed

On Fri, Nov 16, 2012 at 09:16:10PM -0000, Benjamin Kerensa wrote:
> I can confirm the fix in proposed works.

For which release? The fix is available in both Quantal and Precise
proposed repositories.

--
Brian Murray

Karma Dorje (taaroa) wrote :

quantal amd64 verification-done

C de-Avillez (hggdh2) on 2012-11-17
tags: added: verification-done-quantal
removed: verification-done

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package activity-log-manager - 0.9.4-0ubuntu4.1

---------------
activity-log-manager (0.9.4-0ubuntu4.1) quantal; urgency=low

  * Move /usr/bin/whoopsie-preferences from activity-log-manager, which
    isn't installed by default, to activity-log-manager-control-center,
    which is (LP: #993056).
 -- Evan Dandrea <email address hidden> Thu, 15 Nov 2012 11:13:02 +0000

Changed in activity-log-manager (Ubuntu Quantal):
status: Fix Committed → Fix Released
tags: added: verification-needed

Tested in Precise. Without the updated package, I can confirm "Send error reports to Canonical" appears unchecked, but it is on. After installing the updated package from Precise Proposed, the box is checked.

tags: added: verification-done-precise
tags: removed: verification-needed
CSRedRat (csredrat) wrote :

Confirm.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package activity-log-manager - 0.9.4-0ubuntu3.1

---------------
activity-log-manager (0.9.4-0ubuntu3.1) precise; urgency=low

  * Move /usr/bin/whoopsie-preferences from activity-log-manager, which
    isn't installed by default, to activity-log-manager-control-center,
    which is (LP: #993056).
 -- Evan Dandrea <email address hidden> Thu, 15 Nov 2012 11:25:21 +0000

Changed in activity-log-manager (Ubuntu Precise):
status: Fix Committed → Fix Released
Brian Murray (brian-murray) wrote :

activity-log-manager has now been released to precise-updates.

Benjamin (nailartcenter) wrote :

Hello,

this fix don't help me. If a program crashed and I click continue but than nothing happens. Normally should open the webbrowser firefox and put through to launchpad.net where I can report the bug but for me nothing happen.

Which logfile should I post?

Benjamin (nailartcenter) wrote :

But after installing the updated package, the box is checked but I can't still report crashed programs.

Benjamin (nailartcenter) wrote :

I use still Ubuntu 12.04 with Unity 3D and updated system.

Karma Dorje (taaroa) wrote :

@Benjamin
please see bug 994921

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers